Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.MapEntry

    java.lang.Object
      |
      +--org.apache.commons.collections.keyvalue.AbstractMapEntryDecorator
            |
            +--org.apache.commons.collections.bidimap.AbstractDualBidiMap.MapEntry

All Implemented Interfaces:
  KeyValue, Map.Entry

Enclosing class:
  AbstractDualBidiMap

protected static class AbstractDualBidiMap.MapEntry
extends AbstractMapEntryDecorator

Inner class MapEntry.

Field Summary
`protected AbstractDualBidiMap` | `parent` The parent map

Fields inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntryDecorator
`entry`

Constructor Summary
`protected` | `AbstractDualBidiMap.MapEntry(Map.Entry entry, AbstractDualBidiMap parent)` Constructor.

Method Summary
`Object` | `setValue(Object value)`

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntryDecorator
`equals, getKey, getMapEntry, getValue, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected final AbstractDualBidiMap parent

  The parent map

Constructor Detail

### AbstractDualBidiMap.MapEntry

    protected AbstractDualBidiMap.MapEntry(Map.Entry entry,
                                           AbstractDualBidiMap parent)

  Constructor.

Parameters:
  `entry` - the entry to decorate
  `parent` - the parent map

Method Detail

### setValue

    public Object setValue(Object value)

  Specified by:
    `setValue` in interface `Map.Entry`
  Overrides:
    `setValue` in class `AbstractMapEntryDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.